GNU bug report logs - #46416
27.1; syntax-propertize fails in mhtml-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Leo Liu <sdl.web@HIDDEN>; Keywords: moreinfo; dated Wed, 10 Feb 2021 01:42:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 46416 <at> debbugs.gnu.org:


Received: (at 46416) by debbugs.gnu.org; 26 Jun 2022 15:51:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 26 11:51:45 2022
Received: from localhost ([127.0.0.1]:48773 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o5UY5-00080b-4g
	for submit <at> debbugs.gnu.org; Sun, 26 Jun 2022 11:51:45 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55886)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o5UY3-00080L-In
 for 46416 <at> debbugs.gnu.org; Sun, 26 Jun 2022 11:51:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Z+W2WMtJeujtcwVXnjP8lcz9JBENmA1YOYP0RbfsBd8=; b=L0XsMxUch5ZRB6bM8xzz4q9PWx
 ttWg3ETEH4c6OaqeqlnYEb0pRiQ87E6pMqmGJKj6gmBkvarCfrwe/L3KEuTuVcbqcEk+aCU3V1k9J
 0F9OOXBWXoWCJxjRuN9Ko0nzbEPRQyBcdpjCfHYzh+7ItyLmDwqtzmd1gEB09ZQsQuHA=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o5UXv-0003ae-3X; Sun, 26 Jun 2022 17:51:37 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Leo Liu <sdl.web@HIDDEN>
Subject: Re: bug#46416: 27.1; syntax-propertize fails in mhtml-mode
References: <87o7ysbsac.fsf@HIDDEN>
 <741559F9-D0CB-4E86-8A66-0FC5933AB297@HIDDEN>
 <87k097zs5t.fsf@HIDDEN> <m18rpjog5o.fsf@HIDDEN>
Date: Sun, 26 Jun 2022 17:51:33 +0200
In-Reply-To: <m18rpjog5o.fsf@HIDDEN> (Leo Liu's message of "Sun, 26 Jun
 2022 18:47:15 +0800")
Message-ID: <87sfnrctiy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Leo Liu <sdl.web@HIDDEN> writes: > That's what I did
 following
 step by step in the bug report. However I > noticed you were posting from
 the subheading "Character code properties" > in the output of C-u C-x =.
 I was taking the output [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46416
Cc: 46416 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Leo Liu <sdl.web@HIDDEN> writes:

> That's what I did following step by step in the bug report. However I
> noticed you were posting from the subheading "Character code properties"
> in the output of C-u C-x =. I was taking the output from the top under
> key "syntax:". Is this causing the confusion?

Oh, you mean this?

               syntax: w 	which means: word

Yes, I can reproduce that.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46416; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Jun 2022 10:47:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 26 06:47:33 2022
Received: from localhost ([127.0.0.1]:46810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o5Pnh-0001OG-Jk
	for submit <at> debbugs.gnu.org; Sun, 26 Jun 2022 06:47:33 -0400
Received: from lists.gnu.org ([209.51.188.17]:38842)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1o5Pne-0001O7-73
 for submit <at> debbugs.gnu.org; Sun, 26 Jun 2022 06:47:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33024)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1o5Pnd-0001MS-W7
 for bug-gnu-emacs@HIDDEN; Sun, 26 Jun 2022 06:47:30 -0400
Received: from ciao.gmane.io ([116.202.254.214]:56446)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1o5Pnc-0001Lc-P6
 for bug-gnu-emacs@HIDDEN; Sun, 26 Jun 2022 06:47:29 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1o5PnW-000AIl-6T
 for bug-gnu-emacs@HIDDEN; Sun, 26 Jun 2022 12:47:22 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Leo Liu <sdl.web@HIDDEN>
Subject: Re: bug#46416: 27.1; syntax-propertize fails in mhtml-mode
Date: Sun, 26 Jun 2022 18:47:15 +0800
Message-ID: <m18rpjog5o.fsf@HIDDEN>
References: <87o7ysbsac.fsf@HIDDEN>
 <741559F9-D0CB-4E86-8A66-0FC5933AB297@HIDDEN>
 <87k097zs5t.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (macOS 11.6.7)
Cancel-Lock: sha1:aJ6xqP1xVWU/UJJsronUy7QucmY=
Face: iVBORw0KGgoAAAANSUhEUgAAACgAAAAoBAMAAAB+0KVeAAAAElBMVEUAAAAAAP+LRRP0pGC+
 vr7///+7mT1iAAAAAWJLR0QAiAUdSAAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9cBBwMO
 DhglKe4AAAEsSURBVCjPbZNBboQwDEV/Cd4X9QJRThApmn0XYW+Jyf2v0m+HhqDBgiAe9rcTG7QH
 w/1Vn2Ar8gBb/ocywSN3qK9T3z4eFDB4eApocBpeBs1RSykoJd8gQcm8pGmHXFso3ajnmsqV0TnY
 DQkOfXUfN5NwaI7AWTVOyEhcu1aHmdWItHddUVUcUgUBCkitu8V6ditHVOVdqzl2EQ1ZVGTbdK0V
 7cqn8vWzoU5Q/bF9Y/Y0cRU1xwkys5dJ+Dt6pBDWifcNQml8Gh2JVmPSoQzo7en0grswkxrUGYJ7
 0hSxxAGr7ZMwYcHIzprpi7TENEE1xtiYxixRlCfPBsUUrwHD7uGIwATrbnODJcVrPpVn3hxiGloe
 m/S+z3CtuzUSMo83N4DPH+F0evwR3P4A2k+75838OKQAAAAASUVORK5CYII=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_ADSP_CUSTOM_MED=0.001,
 FORGED_GMAIL_RCVD=1, FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, NML_ADSP_CUSTOM_MED=0.9,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On 2022-06-23 10:43 +0200, Lars Ingebrigtsen wrote:
> Do you have a complete recipe, starting from "emacs -Q", to reproduce
> this?

That's what I did following step by step in the bug report. However I
noticed you were posting from the subheading "Character code properties"
in the output of C-u C-x =. I was taking the output from the top under
key "syntax:". Is this causing the confusion?

Leo





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46416; Package emacs. Full text available.

Message received at 46416 <at> debbugs.gnu.org:


Received: (at 46416) by debbugs.gnu.org; 23 Jun 2022 08:43:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 04:43:40 2022
Received: from localhost ([127.0.0.1]:37297 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4IRA-0003M7-HK
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 04:43:40 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36110)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o4IR7-0003Lr-1s
 for 46416 <at> debbugs.gnu.org; Thu, 23 Jun 2022 04:43:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=x8+Ii1/cA0uL3CBZganxllsIRrP0I6Yb5bUQo//Nwx8=; b=qAuMJ58x/5B8r650J1FRCgxOI1
 yfbHnhVWXzI4P8+ll2I1SS8gbD8SmHyAGK9/DX/2208qlkRbTbbN41idy1RZigfbBMXaiBSkz43da
 IkSJ/vxRXwBIUqWgtciSv9Mx2chzxowwe2N6QnPeUaHHmEnsT0H9gr/8le1bLXuoDuf8=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o4IQy-00058H-3L; Thu, 23 Jun 2022 10:43:30 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Leo Liu <sdl.web@HIDDEN>
Subject: Re: bug#46416: 27.1; syntax-propertize fails in mhtml-mode
References: <87o7ysbsac.fsf@HIDDEN>
 <741559F9-D0CB-4E86-8A66-0FC5933AB297@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEUaFBRbPTSTZEq+
 n4b///9UFFcIAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YGFwgrCtbxjXYAAAGvSURBVDjLpVQJbsQw
 CDTZDwD7gYA/0MD//9bBdg5VrVqpKNrEDOeAtzVu3wvt3ykFP/wTsD7rIcg8+hdDaguQdYaG14ub
 nG6/CwnkrgWH9RJRt3miCxh6xqfIw4NlCruLXsFILnln+iPNDXQAPAxvDy3bLKCdtU19COIPgPQJ
 9ENMLTOEtyaPQg93ay6dUdle0RegFcU274p4SEN2Aig0gzLUtYC2PNReBXBHCe8oYFJCwupIX42b
 ik6AHISYehqyoxdVnVtAxtRT0QHMUZt1rwoBcNugxYMEaoxGJwABRYa8iGfcXAHsY7goP8CfywBK
 D17GqoAprbzQCJXe5za5Rw8PK1sTqwGzVFWeABCmvEKO6re4gm/CnkB3TaTbCIlkFMjdA4xuiIP6
 ECkFK0qIEl4fVKqEA9gBLZTotx9jp6HrGHLIBGCf+yQUA4HXcQNyzItCmFTx4FUVWLJ3AftMWEUW
 WQT2ND/WnSimok/AUHCeywd+/UCIsXFbWlyLrGgvFoBgHzdARdha+ZQLQP8+mJ6DelwjVtOYt4fb
 +9aT1NDXtWqvx3/AeSP+em//JZ+t20YWgZsQdAAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wNi0y
 M1QwODo0MzoxMCswMDowMI+jmyYAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDYtMjNUMDg6NDM6
 MTArMDA6MDD+/iOaAAAAAElFTkSuQmCC
X-Now-Playing: Kraftwerk's _Trans-Europe Express_: "Trans-Europe Express"
Date: Thu, 23 Jun 2022 10:43:26 +0200
In-Reply-To: <741559F9-D0CB-4E86-8A66-0FC5933AB297@HIDDEN> (Leo Liu's
 message of "Wed, 22 Jun 2022 14:11:33 +0800")
Message-ID: <87k097zs5t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Leo Liu <sdl.web@HIDDEN> writes: >> I'm unable to
 reproduce
 this -- all the % signs have >> >> general-category: Po (Punctuation, Other)
 >> >> syntax, as far as I can tell (both in Emacs 27.1 and 29). So I seem
 to >> be unable to rep [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46416
Cc: 46416 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Leo Liu <sdl.web@HIDDEN> writes:

>> I'm unable to reproduce this -- all the % signs have
>> 
>>  general-category: Po (Punctuation, Other)
>> 
>> syntax, as far as I can tell (both in Emacs 27.1 and 29).  So I seem to
>> be unable to reproduce this problem.  Are you still seeing this in
>> recent Emacs versions, and if so, do you have a complete recipe to
>> reproduce it?
>> 
>
> I tested the bug again in emacs 28.1 nothing seems to have changed 
>
>                syntax: w 	which means: word

Do you have a complete recipe, starting from "emacs -Q", to reproduce
this?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46416; Package emacs. Full text available.

Message received at 46416 <at> debbugs.gnu.org:


Received: (at 46416) by debbugs.gnu.org; 22 Jun 2022 06:11:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 22 02:11:49 2022
Received: from localhost ([127.0.0.1]:33752 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3taf-0005Xr-6b
	for submit <at> debbugs.gnu.org; Wed, 22 Jun 2022 02:11:49 -0400
Received: from mail-pg1-f182.google.com ([209.85.215.182]:45037)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sdl.web@HIDDEN>) id 1o3tad-0005Xe-7W
 for 46416 <at> debbugs.gnu.org; Wed, 22 Jun 2022 02:11:48 -0400
Received: by mail-pg1-f182.google.com with SMTP id a14so5583591pgh.11
 for <46416 <at> debbugs.gnu.org>; Tue, 21 Jun 2022 23:11:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:from:mime-version:subject:date:message-id
 :references:cc:in-reply-to:to;
 bh=mq9bvP3tMqiVg4ehPTDMoQvukSX6N3PDZT5OqZkL7yQ=;
 b=mbR82nQ5fNkOmg08JHzOCB7YM6A2B9+tzJF2s/6c8GhejRd0ImuccgWaZVkllCR3hv
 UtZF5NzMYYXvQj8raeaAAowZT1qL3+eK+ePdjJkOmHhKFYK4njlNWEH+1ARukfgmMv/C
 6mwNRJzxDKauJ8kMZbaVhZh7NlQyIKMhw347Mo1h6ok5NHbmVqnzwpcMNTxbjCYyzqeY
 ylwl5EDrMH+cNvFN31Z2fDgfyEGGOdPk91UmaiQ5Whb8QwgmTX5JByeJrszQQRpvsO1Y
 qC/u3U3b1eUxcMD9ZrjZNI31LnuaIq7YQh5wu+VzzEGo1Qr2soXqikaELGknv0VjvCHY
 +Htg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:content-transfer-encoding:from:mime-version
 :subject:date:message-id:references:cc:in-reply-to:to;
 bh=mq9bvP3tMqiVg4ehPTDMoQvukSX6N3PDZT5OqZkL7yQ=;
 b=g2aEMfoH559h9ob8S2RlEEWw0W8I6UHSMtbYSAT6izJECBelz7tbeRoQzTRQCIxECO
 T3hPZXEH5PH1Qfb9nkckyNHplrJ0t8EoUPH4xFeDEioXLWTutGcAufPWHr9ry9Wgcp6E
 TK2nXZmI4pFROgpnE9zaU9W1oe/DnLo+hkn1hE9DaZO/oFgVxvPI/tWzYhvuIu6ZIrRc
 yck7Yod1oAguDLE6ERAyVJAAP8CZeeSEEmC1XuOKLE0GBl53EmRDAIiyxGMPi2d+UVNY
 wLcmdr1Xz626rUan69Nolh0xAfBZnZxePE97F2/GxUm7Kn/X/uPrr9tt5D8ns+F885Z6
 9eXw==
X-Gm-Message-State: AJIora9G1aLWj9EJDJULB94jPra+J9X0srt8xKC6MNWVOGI/etpnuNCj
 p5gkq6zcTE1OO/wERRCYQEY3+P7RK8gAAA==
X-Google-Smtp-Source: AGRyM1u1G0sqXA26SOk78lXegd47fZ15y6VO2h2PubfVoo42/iLS6hhmO/1mO9bicX5/Un6AMJzKUA==
X-Received: by 2002:a63:5045:0:b0:3fc:dcaa:f91d with SMTP id
 q5-20020a635045000000b003fcdcaaf91dmr1588023pgl.624.1655878300733; 
 Tue, 21 Jun 2022 23:11:40 -0700 (PDT)
Received: from smtpclient.apple ([119.92.13.225])
 by smtp.gmail.com with ESMTPSA id
 x10-20020a1709028eca00b0016368840c41sm10179234plo.14.2022.06.21.23.11.39
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 21 Jun 2022 23:11:39 -0700 (PDT)
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
From: Leo Liu <sdl.web@HIDDEN>
Mime-Version: 1.0 (1.0)
Subject: Re: bug#46416: 27.1; syntax-propertize fails in mhtml-mode
Date: Wed, 22 Jun 2022 14:11:33 +0800
Message-Id: <741559F9-D0CB-4E86-8A66-0FC5933AB297@HIDDEN>
References: <87o7ysbsac.fsf@HIDDEN>
In-Reply-To: <87o7ysbsac.fsf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
X-Mailer: iPhone Mail (19F77)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46416
Cc: 46416 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> I'm unable to reproduce this -- all the % signs have
> 
>  general-category: Po (Punctuation, Other)
> 
> syntax, as far as I can tell (both in Emacs 27.1 and 29).  So I seem to
> be unable to reproduce this problem.  Are you still seeing this in
> recent Emacs versions, and if so, do you have a complete recipe to
> reproduce it?
> 

I tested the bug again in emacs 28.1 nothing seems to have changed 

               syntax: w 	which means: word

Leo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46416; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46416 <at> debbugs.gnu.org:


Received: (at 46416) by debbugs.gnu.org; 16 Jun 2022 14:24:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 16 10:24:22 2022
Received: from localhost ([127.0.0.1]:42746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1qQ2-0002OM-9X
	for submit <at> debbugs.gnu.org; Thu, 16 Jun 2022 10:24:22 -0400
Received: from quimby.gnus.org ([95.216.78.240]:45318)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o1qQ0-0002Nz-QA
 for 46416 <at> debbugs.gnu.org; Thu, 16 Jun 2022 10:24:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=W1KpnnX0Nq4oabP6dA/IwWuF8xneUyaaiv2UKkvJ9MA=; b=oUJNGL9Hx0wUzEmYeEQjwB0/nW
 +4s3uwgthWFa2plLYStIv4N9KXzev9yYflxXGV2z6Cjb8vCPtCxJilYftlaRxfkvg1M9Tf4S/J/d0
 DdnB91ebIypyjKjx6VkuV6WMRO3mJ5BgZBn5eLh+FdNU8nV0XzmYEdiHwue2slPD9Q5M=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o1qPr-0000Qd-Lb; Thu, 16 Jun 2022 16:24:13 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Leo Liu <sdl.web@HIDDEN>
Subject: Re: bug#46416: 27.1; syntax-propertize fails in mhtml-mode
References: <m1v9b0g0ns.fsf@HIDDEN>
X-Now-Playing: AR Kane's _Single Collection (2)_: "Snow Joke "
Date: Thu, 16 Jun 2022 16:24:11 +0200
In-Reply-To: <m1v9b0g0ns.fsf@HIDDEN> (Leo Liu's message of "Wed, 10 Feb
 2021 09:40:55 +0800")
Message-ID: <87o7ysbsac.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Leo Liu <sdl.web@HIDDEN> writes: > 1. emacs -q -l test.el
 > 2. Create a new buffer in mhtml-mode > 3. Add the following two lines:
 > > %%var1%% > "%%var2%%" > > 4. Inspect the syntax of the % char (C-u C-x
 =) on both lines > > % in d [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46416
Cc: 46416 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Leo Liu <sdl.web@HIDDEN> writes:

> 1. emacs -q -l test.el
> 2. Create a new buffer in mhtml-mode
> 3. Add the following two lines:
>
>    %%var1%%
>    "%%var2%%"
>
> 4. Inspect the syntax of the % char (C-u C-x =) on both lines
>
> % in double quotes has word syntax which seems unexpected.

I'm unable to reproduce this -- all the % signs have

  general-category: Po (Punctuation, Other)

syntax, as far as I can tell (both in Emacs 27.1 and 29).  So I seem to
be unable to reproduce this problem.  Are you still seeing this in
recent Emacs versions, and if so, do you have a complete recipe to
reproduce it?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46416; Package emacs. Full text available.

Message received at 46416 <at> debbugs.gnu.org:


Received: (at 46416) by debbugs.gnu.org; 14 Feb 2021 05:16:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 14 00:16:04 2021
Received: from localhost ([127.0.0.1]:35361 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lB9lL-000087-V6
	for submit <at> debbugs.gnu.org; Sun, 14 Feb 2021 00:16:04 -0500
Received: from mail-pf1-f179.google.com ([209.85.210.179]:43225)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sdl.web@HIDDEN>) id 1lB9lI-00007L-Ph
 for 46416 <at> debbugs.gnu.org; Sun, 14 Feb 2021 00:16:02 -0500
Received: by mail-pf1-f179.google.com with SMTP id c11so2175849pfp.10
 for <46416 <at> debbugs.gnu.org>; Sat, 13 Feb 2021 21:16:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:face:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=2gGF97NhmiiiJ5RBB80GnHDhQ30OBc2Ul0lNWgid7MU=;
 b=UOgwN7lSWn4dc9DdoHjEdBV+EWDkrwdccSUH1BW0ymUwTxUGuyZnmutzFoB71kH1Yh
 C823S9oqdNvYnUiQ1zJhEifSD+UUax0HnoX/0ppq6Ht7Xe253ucRyH/5lv2zs6IPQa4d
 nx4M35HXsAub4oTAJBB1JpcUWxntCpjJDPWSXTDPmuu+I4YWwIMQFq2PDZi6i8ocsm6b
 bsMkivtR/jf95Vc/5XJlOW3A/q5XChs/HkguOHrXLTPx9YlzPJb/ccnjybFCYO3MQ/dx
 HUL/lGyXdqYEk5/ohgcG+t46qRJntcH28UdXmnTLLkjhPgBBe7ym77c73+M2MtW2LlFy
 w3ow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:face:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=2gGF97NhmiiiJ5RBB80GnHDhQ30OBc2Ul0lNWgid7MU=;
 b=UzsVZ6JCWKQRhv1KdJuLvqTpax/5/M0c52vAtliBohwv7I+9YTcjIJdJ8TKbKwOcbw
 2q1I42OwwzL9SeDSeGRijfkwM4Q6wqNjMagAAMfeAmobRE5mqSZ/jp1UAKdjs6WKpd0k
 PSnDYimjszNYzQ1Qzq7rw1sAIG3UXiH4r8saeMelLCZ68YoXk9BbjfNyfeb9Lb43sJfy
 aNstQFl2AeMS8YRBVVFlGhRLUAkDRMYU3gohwhVbrcOZFVccmccs4yYvOPfjRY84isr0
 3TKRgqe9d5c8ZUmgtMkegAE9ZYUmRCK78Lv7eWS/gjWjENPS9lFJSmIeh9Ypmpmjd15w
 JeLA==
X-Gm-Message-State: AOAM532vIgYHgwlFaixGVarvEQg1+D733QJbue29ulUHG7GSrR0E84Du
 jB6S7rHDPCj1SUTiwnO3wwFaALygh7c=
X-Google-Smtp-Source: ABdhPJz2EvIiyd+y7pbNesCXRY7YkrmMy8eRUwugmK+Cw1BcovUN/1r56P4MrWNdonTzNo0iSS7zeA==
X-Received: by 2002:a62:2702:0:b029:1d1:b92a:ef2a with SMTP id
 n2-20020a6227020000b02901d1b92aef2amr10159947pfn.5.1613279754591; 
 Sat, 13 Feb 2021 21:15:54 -0800 (PST)
Received: from Zeuss-MacBook-Air.local ([112.211.1.191])
 by smtp.gmail.com with ESMTPSA id k69sm13856511pfd.4.2021.02.13.21.15.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 13 Feb 2021 21:15:53 -0800 (PST)
From: Leo Liu <sdl.web@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#46416: 27.1; syntax-propertize fails in mhtml-mode
References: <m1v9b0g0ns.fsf@HIDDEN>
 <299f9014-7b6f-75c8-c3a8-3d6aa04d199f@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAACgAAAAoBAMAAAB+0KVeAAAAGFBMVEUzRVhbQj4eZqO6SjnT
 eWpxnMetm5b6/PmidmqrAAAAAWJLR0QAiAUdSAAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1F
 B9cBBwMLBfKABCMAAAFoSURBVCjPtZI9a8MwEIaFoc7aYDdelQMna0Em3tsSr0XUeE2Q6a22a+v+
 fk8fSSBkbDUI6dHpfe9OEvRgiD+ApqKPJgJeB6iUUXWESjUe/ig38AJrhqqvaU2nTIXbNvOQ40fe
 qdry4kyGoVWsfCQalXpHnJGM01wjWdYbMlXNFdsZDO69m9aqNqxEJqTEgbM5OF7wlEfIoll1Ked4
 LbM5X2EdILLokEdmI8z7g5cKED0cuTC930TYhy7ZDekkXVGw/L60TguJePPxcJF48lpsSUWEA/Ju
 jGFNgJOXc4Hz7TmAdBeu5Ve4AEjOi2/2jfd3cAJZ+IbNrvdjgBZY01b+HTuG3cLws6BJZqVOj/pp
 T0OqVwx3rFq+QmJwx3loK5JSLEhDIt62+mtC2C+SrAUxEbV6C6v2BRbd6pILBKFpepKZJHgGgrKF
 sptSUUoczpwg2pQ7ZH1tgs0ou/917mzz6Cs2//C978cv5l07L02orIEAAAAASUVORK5CYII=
Date: Sun, 14 Feb 2021 13:15:50 +0800
In-Reply-To: <299f9014-7b6f-75c8-c3a8-3d6aa04d199f@HIDDEN> (Dmitry Gutov's
 message of "Sun, 14 Feb 2021 03:25:34 +0200")
Message-ID: <m1blcnz0u1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (macOS 10.14.6)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46416
Cc: 46416 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2021-02-14 03:25 +0200, Dmitry Gutov wrote:
> I can't seem to be able to reproduce your scenario in Emacs 28 (in
> fact, I get %var1 and %var2 highlighted as variables), but it might be
> related to the
>
>   "\\([\"']\\)[^\"'<>]*"
>
> rule in sgml-syntax-propertize-rules.

Yes I can confirm it's this rule that seems to remove syntax-table
property that has been applied by preceding rules.

I can reproduce this bug by simplifying the said rule to

  ("\\([\"']\\)[^\"'<>]*" (1 "."))

> If you could double-check the expected and actual behaviors in the
> current master, though, that would be great.

Unfortunately I don't have emacs 28 at hand so cannot test immediately.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46416; Package emacs. Full text available.

Message received at 46416 <at> debbugs.gnu.org:


Received: (at 46416) by debbugs.gnu.org; 14 Feb 2021 01:25:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 13 20:25:46 2021
Received: from localhost ([127.0.0.1]:35270 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lB6AU-00036p-MD
	for submit <at> debbugs.gnu.org; Sat, 13 Feb 2021 20:25:46 -0500
Received: from mail-wr1-f45.google.com ([209.85.221.45]:38645)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lB6AR-00036a-Ay
 for 46416 <at> debbugs.gnu.org; Sat, 13 Feb 2021 20:25:44 -0500
Received: by mail-wr1-f45.google.com with SMTP id b3so4488897wrj.5
 for <46416 <at> debbugs.gnu.org>; Sat, 13 Feb 2021 17:25:43 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=lasDnMP8YllWENqwVeXY40itkR6jlagXD2efZE/JoPI=;
 b=b7N1G0xoYrmQ/cBuMEoGQNwek37vcPhB+LUZqkS/YDCdVjQPXBIyr91vxl1ALiuMoe
 mhXpQg/NraNMi8SlXQXfxyFzLGGzu7lBciUj43FAOK3iVVz3FZbReCQXJNuSFGnoh6qC
 EwCb+QtnsPxnA2H8IX6L2tYbgnz+vF+39oUTJPL0d5xVWhd980UmVvUDsrIfDaKZ85cr
 6TohRQP/xs5wALbuoZfQV2tSBoKGsN38mePtcFL98UFGHmIP4mcAd2fz1AMc5x8nM/om
 JSwSW97s94gKfdj59h/GWdSbh8vhW+kQHXMuHSPIQjPGFK4d759hkbuhOK+JyZ22SB5o
 N5mA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=lasDnMP8YllWENqwVeXY40itkR6jlagXD2efZE/JoPI=;
 b=p0BrW8arQJe7kz4lPFqWrBOkn/fV25tNtxyglpNwUT5GaT+Gy4YNt2Q6aJhtU+WVYE
 fKuDeAHCGAPo7TfPMTO36el45gigAXb0h1wI8XkMGuiLj4mFPRfCqRkY5T9tBjxCqrPV
 beAQVysiYHVmwRMzNprIRxM70pwUr9gvyAkcnEtSFP/cHQDu+5poGzZi/3G67MGjRXJb
 jqcVgpnfecNdTNMK181ON+zgg3/bqTOu0f53nPexb5//ElPRtoqXY5eKNWGYr5WKEZ86
 LeSWsP8/nYuV7LckGEB/U/z7H0AJbmqhnFE4Dj83KGjQmjBm7phVwSYjJovb1FI0B2ov
 aW3w==
X-Gm-Message-State: AOAM531jKObnlsLMndkdeZWlpD49VbrSOEtnEwQi/sixhdY3zKF2Ln7s
 Wz2St+kWkpU4rujqLHyxxUFCSbX3dWE=
X-Google-Smtp-Source: ABdhPJyXKfJ16co0wkaWZotgOASNqut8ODNuJhxviLLZomrCyR2bwDBHfQvmVzH+ylxMdz4IqOjKyA==
X-Received: by 2002:adf:fbce:: with SMTP id d14mr10878129wrs.44.1613265937464; 
 Sat, 13 Feb 2021 17:25:37 -0800 (PST)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id w8sm17177755wrm.21.2021.02.13.17.25.36
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 13 Feb 2021 17:25:36 -0800 (PST)
Subject: Re: bug#46416: 27.1; syntax-propertize fails in mhtml-mode
To: Leo Liu <sdl.web@HIDDEN>, 46416 <at> debbugs.gnu.org
References: <m1v9b0g0ns.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <299f9014-7b6f-75c8-c3a8-3d6aa04d199f@HIDDEN>
Date: Sun, 14 Feb 2021 03:25:34 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <m1v9b0g0ns.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46416
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 10.02.2021 03:40, Leo Liu wrote:
> 1. emacs -q -l test.el
> 2. Create a new buffer in mhtml-mode
> 3. Add the following two lines:
> 
>     %%var1%%
>     "%%var2%%"
> 
> 4. Inspect the syntax of the % char (C-u C-x =) on both lines
> 
> % in double quotes has word syntax which seems unexpected.
> 
> If we do something similar in Emacs 26 both % chars have punctuation
> syntax.

I can't seem to be able to reproduce your scenario in Emacs 28 (in fact, 
I get %var1 and %var2 highlighted as variables), but it might be related 
to the

   "\\([\"']\\)[^\"'<>]*"

rule in sgml-syntax-propertize-rules.

If you could double-check the expected and actual behaviors in the 
current master, though, that would be great.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46416; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Feb 2021 01:41:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 09 20:41:12 2021
Received: from localhost ([127.0.0.1]:55175 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l9eVE-0003VY-9I
	for submit <at> debbugs.gnu.org; Tue, 09 Feb 2021 20:41:12 -0500
Received: from lists.gnu.org ([209.51.188.17]:53434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sdl.web@HIDDEN>) id 1l9eVA-0003VM-2h
 for submit <at> debbugs.gnu.org; Tue, 09 Feb 2021 20:41:10 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:48024)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <sdl.web@HIDDEN>) id 1l9eV9-0005x7-SL
 for bug-gnu-emacs@HIDDEN; Tue, 09 Feb 2021 20:41:07 -0500
Received: from mail-pf1-x42e.google.com ([2607:f8b0:4864:20::42e]:42183)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <sdl.web@HIDDEN>) id 1l9eV7-0000x1-M1
 for bug-gnu-emacs@HIDDEN; Tue, 09 Feb 2021 20:41:07 -0500
Received: by mail-pf1-x42e.google.com with SMTP id w18so225837pfu.9
 for <bug-gnu-emacs@HIDDEN>; Tue, 09 Feb 2021 17:40:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=80NLZE7V75U1PNHlNSrmz2QO0qDfWDEy3eWLrcRHwls=;
 b=mteqjjIyUkmqDiuD/UDSLj6hq72n4iyROIm4hgh7eAX0Dz1dV+M5gkFhaPzPwRk6KL
 dHDoJksWjL7690oh9CDI1kpeOSAWPMQeHN9XnlpqAMjQMt/zS5eHaRUWBeOflW48y+rD
 PfmUd/N86YoHuqY5yZCew/0ZozF08Q1+qlmm53+cAJZPCwQ4kHRgO/2piCcpmid+LEfB
 rQPYd0q54HorrnBZW5/bXFxl4ImMB5aiR8aGVSMPiZcH8YtMhP410ybB4to4f9Hx0i9K
 xY9CeIN12jn2z+VDeRU2UVZzMjK9cJe5y9h3qD8UBG7a+m+b4HkwdSWnxrtruqaiUDYA
 uBBw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=80NLZE7V75U1PNHlNSrmz2QO0qDfWDEy3eWLrcRHwls=;
 b=d+VXWPUV5LQA6dQFuYhzMSHl+EXsRjaIw2AMLpSyT2ZI4hQPIJA9UjJi4wy3bS+6gs
 hPlCl9of7zuZaZ1mNGCJRjQeo1nQmMjUZhILzJ+doZXsbTsSs6tR+HUlgVh1P3bqZ5CI
 H/DwEVGmwQw9zzT9gvker6CMUbNnNEOtxCHJu2hwQq5Eqdm7/hdhonNIlxDpTdTIO6tA
 eQZJzvur1wuIzR4p9QHcreTKZ6cvWpYDgXH0Dc8z/7azv1BcsqjxIMA0KD3PGN3wXSKc
 0lwj0n2vuAMhBboI9c2S25Nbw8T8dDStfJV4fc4Qa9n3VuJl0IWokK4uxZf1cEDSfVk6
 e7JQ==
X-Gm-Message-State: AOAM533tGv/qu4hNvHmG+Lo+zHcTmFPd9exciVxqedxiIwPczgfvH/PK
 7LkQUCe1+wurJkEWUmVHmllvHXdHirk=
X-Google-Smtp-Source: ABdhPJyzBDtP9p8jeGSZBZThqMBpKW9HzA4BnmJOef/hf8YOnl8LudQnTs8AWJvXuJfTgU1EEbC87Q==
X-Received: by 2002:a63:ee4a:: with SMTP id n10mr743705pgk.375.1612921258582; 
 Tue, 09 Feb 2021 17:40:58 -0800 (PST)
Received: from Zeuss-MacBook-Air.local ([112.211.1.191])
 by smtp.gmail.com with ESMTPSA id w124sm165094pfw.176.2021.02.09.17.40.56
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 09 Feb 2021 17:40:57 -0800 (PST)
From: Leo Liu <sdl.web@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.1; syntax-propertize fails in mhtml-mode
X-Debbugs-CC: 
Date: Wed, 10 Feb 2021 09:40:55 +0800
Message-ID: <m1v9b0g0ns.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=2607:f8b0:4864:20::42e;
 envelope-from=sdl.web@HIDDEN; helo=mail-pf1-x42e.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain


1. emacs -q -l test.el
2. Create a new buffer in mhtml-mode
3. Add the following two lines:

   %%var1%%
   "%%var2%%"

4. Inspect the syntax of the % char (C-u C-x =) on both lines

% in double quotes has word syntax which seems unexpected.

If we do something similar in Emacs 26 both % chars have punctuation
syntax.


--=-=-=
Content-Type: application/emacs-lisp
Content-Disposition: attachment; filename=test.el
Content-Transfer-Encoding: quoted-printable
Content-Description: test.el

(require 'mhtml-mode)

(setq mhtml--syntax-propertize
      (syntax-propertize-rules
       ("\\(%%\\)[-_.a-zA-Z0-9]+\\(%%\\)" (1 ".") (2 ".")) ;added by leo
       ("<style.*?>"
        (0 (ignore
            (goto-char (match-end 0))
            ;; Don't apply in a comment.
            (unless (syntax-ppss-context (syntax-ppss))
              (mhtml--syntax-propertize-submode mhtml--css-submode end)))))
       ("<script.*?>"
        (0 (ignore
            (goto-char (match-end 0))
            ;; Don't apply in a comment.
            (unless (syntax-ppss-context (syntax-ppss))
              (mhtml--syntax-propertize-submode mhtml--js-submode end)))))
       sgml-syntax-propertize-rules
       ))

--=-=-=--




Acknowledgement sent to Leo Liu <sdl.web@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46416; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 26 Jun 2022 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.